Skip to content

deleteFormView

DELETE
/api/v1/data-sources/{id}/views/{viewId}
curl --request DELETE \
--url https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/views/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0

Deletes one saved view of a Form Data Source by view id, in a single transaction with an audit entry. Requires the manage capability and CSRF.

id
required
string format: uuid
viewId
required
string format: uuid

View deleted

Manage capability required

View not found